// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Hello, World! (Loaded server scripts)')


ServerEvents.recipes(event => { 
    console.log('Hello! The recipe event has fired!')

    //SHAPED
    event.shaped('minecraft:totem_of_undying', [// arg 1: output
    'NCN', 
    'EIE', // arg 2: the shape (array of strings)
    'RNR'  
  ], {
    C: 'minecraft:chorus_fruit',
    R: 'minecraft:blaze_rod',
    N: 'create:brass_nugget', 
    E: 'minecraft:emerald',  //arg 3: the mapping object
    I: 'create:brass_ingot'   
  }
)
//SHAPELESS
event.shapeless('minecraft:blaze_rod', [ // arg 1: output
  '6x minecraft:blaze_powder'
])
// Cook 4 blaze_powder into 1 blaze_rod in a Furnace:
//event.smelting('minecraft:blaze_rod', '4x minecraft:blaze_powder')
// Cook 1 stone into 3 gravel in a Furnace:
//event.smelting('3x minecraft:gravel', 'minecraft:stone')

  })